API Reference
Prices
Authorization
InfraApiKey AuthorizationBearer <token>
Send sk_live_* (production) or sk_test_* (test mode).
In: header
Path Parameters
symbol*Symbol
Query Parameters
kind?|
split | dividend | m_and_a | spinoff
cursor?string|null
limit?|null
Response Body
application/json
application/problem+json
application/json
application/problem+json
curl -X GET "https://example.com/v1/companies/string/corporate-actions"{ "data": [ { "id": 6122, "symbol": "UBER:US", "kind": "dividend", "action_date": "2026-06-03", "description": "Special dividend", "source_url": "https://www.nasdaq.com/market-activity/stocks/uber/dividend-history", "provenance": { "src_id": "src_corporate_actions_7a3ffb5d44e30ca7", "source_provider": "nasdaq", "source_url": "https://www.nasdaq.com/market-activity/stocks/uber/dividend-history", "accession": null, "quote": null, "content_hash": null, "extracted_at": null }, "dividend": { "ex_dividend_date": "2026-06-03", "record_date": "2026-06-04", "payment_date": "2026-06-18", "declaration_date": "2026-05-20", "amount": { "raw": 0.18, "normalized": 0.18, "unit": "USD_per_share", "original_unit": "USD_per_share", "conversion_factor": 1 }, "annualized_amount": { "raw": 0.72, "normalized": 0.72, "unit": "USD_per_share", "original_unit": "USD_per_share", "conversion_factor": 1 }, "currency": "USD" } } ], "pagination": { "next_cursor": null, "has_more": false }, "company": { "symbol": "UBER:US", "ticker": "UBER", "market": "US", "name": "Uber Technologies, Inc. Common Stock", "cik": "0001543151", "isin": null, "figi": null, "issuer_id": 10483 }}{ "type": "https://docs.signals.ai/errors/invalid-key", "title": "Invalid API key", "status": 401, "detail": "Missing or invalid API key.", "request_id": "req_0dc23f9b4a0f8f2a", "instance": "/v1/companies/UBER"}{ "detail": [ { "type": "string_too_short", "loc": [ "body", "query" ], "msg": "String should have at least 2 characters", "input": "q", "ctx": { "min_length": 2 } } ]}{ "type": "https://docs.signals.ai/errors/rate-limited", "title": "Rate limit exceeded", "status": 429, "detail": "Your current plan's burst or daily quota has been exceeded.", "request_id": "req_8b44f5d1a8d1f48b", "instance": "/v1/search"}